# copyright: 'Huynh Duong Phuong Vi @ 2013-2019'
# www.sketchupforyou.com
module S4U
	module S4u_copy_follow_objects
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_copy_follow_objects"
		Strings = LanguageHandler.new( NAME + ".strings")
		TOOL=Strings["Copy Follow Objects"]
		@ext = SketchupExtension.new(("s4u-" + TOOL),File.join(NAME,(NAME + "_loader")))
		IS_WIN =(Sketchup.platform == :platform_win)
		IS_OSX =(Sketchup.platform == :platform_osx)
		@ext.copyright= 'Huynh Duong Phuong Vi @ 2013-2019'
		@ext.creator = 'Huynh Duong Phuong Vi (www.sketchupforyou.com)'
		@ext.version = '1.0.3'
		@ext.description = Strings.GetString("Copy Object Following Selected Groups or Components")
		Sketchup.register_extension @ext, true
	end
end